Get all businesses
curl --request GET \
--url https://api-sandbox.orum.io/deliver/businesses \
--header 'Authorization: Bearer <token>' \
--header 'Orum-Version: <orum-version>'import requests
url = "https://api-sandbox.orum.io/deliver/businesses"
headers = {
"Orum-Version": "<orum-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Orum-Version': '<orum-version>', Authorization: 'Bearer <token>'}
};
fetch('https://api-sandbox.orum.io/deliver/businesses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.orum.io/deliver/businesses",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Orum-Version: <orum-version>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.orum.io/deliver/businesses"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Orum-Version", "<orum-version>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-sandbox.orum.io/deliver/businesses")
.header("Orum-Version", "<orum-version>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.orum.io/deliver/businesses")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Orum-Version"] = '<orum-version>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"businesses": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customer_reference_id": "<string>",
"legal_name": "<string>",
"status": "created",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"business_name": "<string>",
"entity_type": "<string>",
"tax_id_type": "<string>",
"account_holder_name": "<string>",
"incorporation_date": "<string>",
"addresses": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "home",
"address1": "<string>",
"city": "<string>",
"state": "<string>",
"country": "US",
"zip5": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"address2": "<string>"
}
],
"contacts": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "email",
"value": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"closed_at": "2023-11-07T05:31:56Z",
"metadata": {}
}
]
}{
"error_code": "<string>",
"message": "<string>",
"details": {}
}{
"error_code": "<string>",
"message": "<string>",
"details": {}
}Businesses
Get All Businesses
Get all business objects.
GET
/
deliver
/
businesses
Get all businesses
curl --request GET \
--url https://api-sandbox.orum.io/deliver/businesses \
--header 'Authorization: Bearer <token>' \
--header 'Orum-Version: <orum-version>'import requests
url = "https://api-sandbox.orum.io/deliver/businesses"
headers = {
"Orum-Version": "<orum-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Orum-Version': '<orum-version>', Authorization: 'Bearer <token>'}
};
fetch('https://api-sandbox.orum.io/deliver/businesses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.orum.io/deliver/businesses",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Orum-Version: <orum-version>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.orum.io/deliver/businesses"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Orum-Version", "<orum-version>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-sandbox.orum.io/deliver/businesses")
.header("Orum-Version", "<orum-version>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.orum.io/deliver/businesses")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Orum-Version"] = '<orum-version>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"businesses": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customer_reference_id": "<string>",
"legal_name": "<string>",
"status": "created",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"business_name": "<string>",
"entity_type": "<string>",
"tax_id_type": "<string>",
"account_holder_name": "<string>",
"incorporation_date": "<string>",
"addresses": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "home",
"address1": "<string>",
"city": "<string>",
"state": "<string>",
"country": "US",
"zip5": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"address2": "<string>"
}
],
"contacts": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "email",
"value": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"closed_at": "2023-11-07T05:31:56Z",
"metadata": {}
}
]
}{
"error_code": "<string>",
"message": "<string>",
"details": {}
}{
"error_code": "<string>",
"message": "<string>",
"details": {}
}Authorizations
Headers
Query Parameters
Filter by legal name The legal name of the business as it appears on official registration forms. Accepts alphanumeric characters and hyphens, dashes, periods, apostrophes, spaces, hashes, colons, forward slashes, and diacritics.
Maximum string length:
255Pattern:
^[^\s][ ’!"#$%&'()*+,-./0123456789:;<=>?@ABCDEFGHIJKLMNOPQRSTUVWXYZ[\]^_`abcdefghijklmnopqrstuvwxyz{|}~¡¢£¤¥¦§¨©ª«¬®¯°±²³´µ¶·¸¹º»¼½¾¿ÀÁÂÃÄÅÆÇÈÉÊËÌÍÎÏÐÑÒÓÔÕÖרÙÚÛÜÝÞßàáâãäåæçèéêëìíîïðñòóôõö÷øùúûüýþÿĀāĂ㥹ĆćĈĉĊċČčĎďĐđĒēĔĕĖėĘęĚěĜĝĞğĠġĢģĤĥĦħĨĩĪīĬĭĮįİıIJijĴĵĶķĸĹĺĻļĽľĿŀŁłŃńŅņŇňʼnŊŋŌōŎŏŐőŒœŔŕŖŗŘřŚśŜŝŞşŠšŢţŤťŦŧŨũŪūŬŭŮůŰűŲųŴŵŶŷŸŹźŻżŽžſ]+$Was this page helpful?